%define	upstream_name    Digest-HMAC
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Keyed-Hashing for Message Authentication
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://www.cpan.org
Source0:    http://www.cpan.org/authors/id/GAAS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 2.0.0
BuildRequires: perl(Digest::SHA) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Requires:   perl-Digest-SHA1
Provides:   perl-HMAC

%description
Digest-HMAC module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Digest


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-4.mga4
+ Revision: 510874
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-3.mga3
+ Revision: 365920
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 21 2012 tv <tv> 1.30.0-2.mga2
+ Revision: 232239
- no need to require perl

  + kharec <kharec>
    - update to 1.03

* Fri Jan 21 2011 jquelin <jquelin> 1.20.0-2.mga1
+ Revision: 29439
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 11039
- imported package perl-Digest-HMAC


* Mon Jan 11 2010 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.1
+ Revision: 489514
- update to 1.02

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2010.0
+ Revision: 406986
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.01-16mdv2009.1
+ Revision: 351715
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.01-15mdv2009.0
+ Revision: 223658
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.01-14mdv2008.1
+ Revision: 180392
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.01-13mdv2007.0
+ Revision: 108541
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Digest-HMAC

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 1.01-12mdk
- rebuild

